  {% extends "./layout/main.Twig" %}
 
  {% block content %}
    <nav class="navbar navbar-light bg-light">
      <a class="navbar-brand" href="#">
        Usuario : {{usuarioLogueado}}
      </a>
      <a  href="#" id="linkCerrarSession">
        Cerrar Session
      </a>
    </nav>
    <h1>Directorio de usuarios</h1>

    <div class="row">
      <div class="col-md-6">
       <label>Buscar usuario:</label>
       <input type="hidden" value="{{base_url}}" id="baseUrl"> 
       <input type="hidden" value="{{idUserLogueado}}" id="idUser"> 
       <input type="text" class="form-control" id="buscar" placeholder="nombre/email">
       <button class="btn btn-primary" id="btn_buscar">Buscar</button>
       <span id="loader"></span>
      </div>
    </div>
    <br>
    <div class="row">
      <div class="col-md-12"> 
        <table class="table table-striped">
          <thead>
            <tr>
              <th>Id</th>
              <th>Cargo</th>
              <th>correo</th>
              <th>nombre</th>
              <th>cedula</th>
              <th>telefono</th>
              <th>pais</th>
              <th>departamento</th>
              <th>ciudad</th>
            </tr>
          </thead>
          <tbody id="resultado">
          </tbody>
        </table>
      </div>
    </div>
  {% endblock %}

  {% block footer %}
    <script type='text/javascript'>
      document.addEventListener("DOMContentLoaded", function(event) {
        let busqueda = localStorage.getItem('busqueda');
        let idUserLog = localStorage.getItem('idUsuario');

        if(busqueda != '' && idUserLog!= ''){
          if(idUserLog == document.getElementById('idUser').value){
            document.getElementById('buscar').value = busqueda;

            buscarUsuario();
          }
        }

      });
      var baseUrl = document.getElementById('baseUrl').value;
      console.log(baseUrl);

      document.getElementById('btn_buscar').addEventListener('click', buscarUsuario);

      function buscarUsuario() {
        let emailNombre = document.getElementById('buscar').value;
        if(emailNombre != ''){
          localStorage.setItem('busqueda', emailNombre);
          localStorage.setItem('idUsuario', document.getElementById('idUser').value);

          document.getElementById('loader').innerHTML = "...Buscando resultado";
          document.getElementById('btn_buscar').setAttribute('disabled', true);
          
          fetch(baseUrl + 'customerData/apiBusquedaUsuariosEmailNombre/' + emailNombre,{
            method: 'GET'
          })
          .then(response=>response.json())
          .then(function(datos){
            if(datos.nombre != '' && datos.nombre != undefined ) {
              let cuerpoTabla = `
                <tr>
                  <td> ${datos.id} </td>
                  <td> ${datos.tituloProfesional} </td>
                  <td> ${datos.email} </td>
                  <td> ${datos.nombre}  </td>
                  <td> ${datos.documento} </td>
                  <td> ${datos.telefono} </td>
                  <td> ${datos.pais} </td>
                  <td> ${datos.departamento} </td>
                  <td> ${datos.ciudad} </td>
                </tr>          
                `;
              console.log(datos)
              document.getElementById('resultado').innerHTML = cuerpoTabla;
              document.getElementById('loader').innerHTML = "";
            }else {
              document.getElementById('loader').innerHTML = "No encontrado";
              document.getElementById('resultado').innerHTML = '';
            }
            document.getElementById('btn_buscar').removeAttribute('disabled');
            
          });
        }else {
          alert('Ingresa un valor  para la busqueda');
        }
      }

      document.getElementById('linkCerrarSession').addEventListener('click', cerrarSession);

      function cerrarSession() {
        guardarStorageBusqueda();

        location.href = `${baseUrl}usuario/logout`;
      }

      document.getElementById("buscar").addEventListener("keyup", guardarStorageBusqueda);

      function guardarStorageBusqueda() {
        let emailNombre = document.getElementById('buscar').value;
        if(emailNombre != ''){
          localStorage.setItem('busqueda', emailNombre);
          localStorage.setItem('idUsuario', document.getElementById('idUser').value);
        }
      }
    </script>
  {% endblock %}